@media only screen and (max-width: 450px) {
}
/* Hide the left/right arrows on mobile screens */
@media (max-width: 576px) {
  #nav {
    background-color: #fff !important;
  }
  .container-fluid {
    --bs-gutter-x: 0;
  }

  .navbar-toggler,
  .navbar-brand {
    margin: 0 1rem;
  }
  .container-fluid .nav-link {
    width: 100%;
    text-align: center !important;
    border: 1px solid #00000045;
    padding: 0.75rem 1rem;
    margin: 0.25rem 0;
  }
  #search {
    margin: auto;
  }
  .navbar-nav {
    background-color: #dadada;
  }

  /* index.ejs */
  .slider {
    width: 100% !important;
  }

  body {
    min-height: 100vh;
    min-width: 100vw;
  }

  .container {
    min-height: 100vh;
    padding: 0 1rem;
  }
  #listings {
    justify-content: none !important;
    display: inline;
    width: 100%;
  }
  #listings a {
    width: 100% !important;
    margin-bottom: 1rem !important;
  }
  .slider-container {
    width: 100% !important;
  }
  .slider-arrow {
    display: none; /* Hide arrows */
  }
  .tax-toggle {
    display: none !important;
  }

  .slider {
    scroll-snap-type: x mandatory; /* Enable snap scrolling */
  }
  .slider-item {
    scroll-snap-align: center; /* Items snap to the center when scrolling */
    padding: 8px 12px;
    font-size: 14px;
  }
  .card-img {
    width: 90%;
    height: auto;
    margin: auto;
  }

  /* show.ejs */
  .small-size-container {
    margin-left: auto !important;
    margin-right: auto !important;
    min-width: 100vw;
    offset: 0 !important;
  }
  #error {
    margin-left: auto !important;
    margin-right: auto !important;
    min-width: 100vw;
    offset: 0 !important;
  }
  .small-size-container .index-img {
    width: 95% !important;
    margin: auto !important;
    height: auto !important;
  }
  .show-btn {
    width: 10rem !important;
    height: 3rem !important;
    white-space: nowrap;
  }
  .all-reviews .card {
    width: 100%;
    padding: 0;
    margin: auto !important;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  body {
    min-height: 100vh;
    min-width: 100vw;
  }

  .container {
    padding: 0 1rem;
  }
   .card-img {
    width: 90%;
    height: auto;
    margin: auto;
  }

  #nav {
    background-color: #fff !important;
  }
  .container-fluid {
    --bs-gutter-x: 0;
  }
  .navbar-toggler,
  .navbar-brand {
    margin: 0 2rem;
  }
  .container-fluid .nav-link {
    width: 100%;
    text-align: center !important;
    border: 1px solid #00000045;
    padding: 0.75rem 1rem;
    margin: 0.25rem 0;
  }
  #search {
    margin: auto;
  }
  .navbar-nav {
    background-color: #dadada;
  }
 
  .tax-toggle {
    display: none !important;
  }

  /* .slider-container {
    min-width: 100%;
  } */
  #listings {
    justify-content: space-evenly !important;
  }
  #listings a {
    width: 16.5rem !important;
  }

  .small-size-container {
    margin-left: auto !important;
    margin-right: auto !important;
    min-width: 90vw;
    offset: 0 !important;
  }
  .small-size-container .index-img {
    width: 95% !important;
    margin: auto !important;
    height: auto !important;
  }
  .show-btn {
    width: 10rem !important;
    height: 3rem !important;
    white-space: nowrap;
  }
  .all-reviews .card {
    width: 100%;
    padding: 0 1rem;
    margin: auto !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  body {
    min-height: 100vh;
    min-width: 100vw;
  }
  .container {
    padding: 0 2rem;
  }
  #nav {
    margin: 0 2rem !important;
  }

  #listings {
    /* justify-content: space-evenly !important; */
  }
  #listings a {
    width: 16.5rem !important;
  }

  .tax-toggle {
    display: none !important;
  }
  .slider-container {
    width: 100% !important;
  }

  .card-img {
    width: 90%;
    height: 40%;
    margin: auto;
  }

  .small-size-container {
    margin-left: auto !important;
    margin-right: auto !important;
    min-width: 90vw;
    offset: 0 !important;
  }
  .small-size-container .index-img {
    width: 95% !important;
    margin: auto !important;
    height: auto !important;
  }
  .show-btn {
    width: 10rem !important;
    height: 3rem !important;
    white-space: nowrap;
  }
  .all-reviews .card {
    width: 100%;
    padding: 0 1rem;
    margin: auto !important;
  }
}
